[问题]两个软件的无法安装

为当前最终发行版之前的所有版本提供支持
回复
onlyiknow
帖子: 527
注册时间: 2007-05-06 2:18
送出感谢: 0
接收感谢: 0
联系:

[问题]两个软件的无法安装

#1

帖子 onlyiknow » 2007-09-14 22:22

yexin@love955:/media/hdb5/linux-soft/rhash-0.9.2$ make test
gcc -c -DVERSION=\"0.9.2\" -pipe -O2 -DNDEBUG -Wall -W -Wstrict-prototypes -Wnested-externs -Winline -Wpointer-arith -Wbad-function-cast -Wmissing-prototypes -Wmissing-declarations common_func.c -o common_func.o
common_func.c:2:20: 错误: stdlib.h:No such file or directory
common_func.c:3:20: 错误: string.h:No such file or directory
common_func.c:4:19: 错误: ctype.h:No such file or directory
common_func.c:5:20: 错误: assert.h:No such file or directory
common_func.c: 在函数 ‘str_tolower’ 中:
common_func.c:17: 警告: 隐式声明函数 ‘strdup’
common_func.c:17: 警告: 隐式声明与内建函数 ‘strdup’ 不兼容
common_func.c:20: 警告: 隐式声明函数 ‘tolower’
common_func.c: 在函数 ‘get_basename’ 中:
common_func.c:49: 警告: 隐式声明函数 ‘strlen’
common_func.c:49: 警告: 隐式声明与内建函数 ‘strlen’ 不兼容
common_func.c: 在函数 ‘get_dirname’ 中:
common_func.c:61: 警告: 隐式声明与内建函数 ‘strlen’ 不兼容
common_func.c:65: 警告: 隐式声明函数 ‘malloc’
common_func.c:65: 警告: 隐式声明与内建函数 ‘malloc’ 不兼容
common_func.c:66: 警告: 隐式声明函数 ‘memcpy’
common_func.c:66: 警告: 隐式声明与内建函数 ‘memcpy’ 不兼容
common_func.c:70: 警告: 隐式声明与内建函数 ‘strdup’ 不兼容
common_func.c: 在函数 ‘make_path’ 中:
common_func.c:84: 警告: 隐式声明函数 ‘assert’
common_func.c:84: 警告: 对 ‘assert’ 的嵌套的外部声明
common_func.c:87: 警告: 隐式声明与内建函数 ‘strlen’ 不兼容
common_func.c:88: 警告: 隐式声明与内建函数 ‘malloc’ 不兼容
common_func.c:90: 警告: 隐式声明函数 ‘strcpy’
common_func.c:90: 警告: 隐式声明与内建函数 ‘strcpy’ 不兼容
make: *** [common_func.o] 错误 1
yexin@love955:/media/hdb5/linux-soft/pidgin-2.2.0$ ./configure
chmod: 正在更改 ‘conf5664.sh’ 的权限: Operation not permitted
chmod: changing permissions of `conf5664.sh': Operation not permitted
checking build system type... i686-pc-linux-gnulibc1
checking host system type... i686-pc-linux-gnulibc1
checking target system type... i686-pc-linux-gnulibc1
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking for sed... /bin/sed
checking for gcc... gcc
checking for C compiler default output file name...
configure: error: C compiler cannot create executables
See `config.log' for more details.
上次由 onlyiknow 在 2007-09-16 19:55,总共编辑 1 次。
tomguy
帖子: 702
注册时间: 2005-09-27 10:32
送出感谢: 0
接收感谢: 0

#2

帖子 tomguy » 2007-09-15 22:18

你缺少编译用到的一些包,搜一下编译用到的基本包吧。
onlyiknow
帖子: 527
注册时间: 2007-05-06 2:18
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 onlyiknow » 2007-09-16 13:16

tomguy 写了:你缺少编译用到的一些包,搜一下编译用到的基本包吧。
不知道是哪个包

解压的问题已经解决了

现在就是那个C的问题了

帮忙看看编译日志
附件
config.log.tar.gz
(4.11 KiB) 下载 13 次
eminentubuntu
帖子: 26
注册时间: 2007-09-20 15:09
来自: BUAA
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 eminentubuntu » 2007-09-21 13:10

ubuntu7.04-desktop版本中只附带安装了gcc (GCC) 4.1.2 (Ubuntu 4.1.2-0ubuntu4),但是没有安装g++,所以无法正常编译C,(如果没有g++的话我的netbeans包括c和c++都不能编译,你试试这个办法吧)

在终端下键入 sudo apt-get install g++, 然后就安装了g++ (GCC) 4.1.2 (Ubuntu 4.1.2-0ubuntu4),
重新把c文件编译一下,应该能正常运行了。

但是在nebteans的代码编辑器中还是提示找不到.h头文件,但是能够编译运行,不知道是不是netbeans的问题还是怎么着。。也晕着呢现在。
回复

回到 “老旧版本支持”